ARG image_tag
ARG image_registry

ARG image_registry
ARG image_tag

FROM $image_registry/nginx:1.23-alpine

LABEL org.opencontainers.image.authors="alessandro.dibella@gmail.com"

COPY resources/nginx/ /
COPY resources/install_certificates.start /docker-entrypoint.d/05-install-certificates.sh

RUN apk --update-cache upgrade && \
    apk add --no-cache bash ca-certificates libressl && \
    chmod 0775 /docker-entrypoint.d/*.sh

ENV NGINX_ENVSUBST_OUTPUT_DIR=/etc/nginx

ENV NGINX_WORKER_PROCESSES=auto
ENV NGINX_WORKER_WORKER_CONNECTIONS=1024
ENV NGINX_MAX_BODY_SIZE=15m

ENV NGINX_ALLOW_ADMIN=all
ENV NGINX_ADMIN_PORT=8005



